OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
Curl< GridT, MaskGridType, InterruptT > Class Template Reference

Compute the curl of a vector grid. More...

`#include <GridOperators.h>`

## Public Types
typedef GridT | InGridType
typedef GridT | OutGridType

## Public Member Functions
| Curl (const GridT &grid, InterruptT *interrupt=nullptr)
| Curl (const GridT &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
GridT::Ptr | process (bool threaded=true)

## Detailed Description

### template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>
class openvdb::v5_1::tools::Curl< GridT, MaskGridType, InterruptT >

Compute the curl of a vector grid.

## Member Typedef Documentation

## ◆ InGridType

typedef GridT InGridType

## ◆ OutGridType

typedef GridT OutGridType

## Constructor & Destructor Documentation

## ◆ Curl() [1/2]

Curl | ( | const GridT & | grid,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## ◆ Curl() [2/2]

Curl | ( | const GridT & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## Member Function Documentation

## ◆ process()

GridT::Ptr process | ( | bool | threaded = `true` | ) |
| inline

The documentation for this class was generated from the following file:

- GridOperators.h